/*
 * API documentation
 * No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
 *
 * OpenAPI spec version: 1.0.0-20181108155220-20181108155343
 * Contact: api.move@axa-assistance.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package io.insurance.bn.starter.model;

import com.google.gson.annotations.SerializedName;
import io.swagger.annotations.ApiModelProperty;
import org.threeten.bp.LocalDate;

import java.util.Objects;

/**
 * Model2
 */
@javax.annotation.Generated(value = "io.swagger.codegen.languages.JavaClientCodegen", date = "2018-12-19T23:23:06.995+01:00")
public class Model2 {
  @SerializedName("claim_id")
  private String claimId = null;

  @SerializedName("claim_type_id")
  private String claimTypeId = null;

  @SerializedName("claim_type_name")
  private String claimTypeName = null;

  @SerializedName("status")
  private String status = null;

  @SerializedName("created_at")
  private LocalDate createdAt = null;

  public Model2 claimId(String claimId) {
    this.claimId = claimId;
    return this;
  }

   /**
   * Identifier of the claim.
   * @return claimId
  **/
  @ApiModelProperty(required = true, value = "Identifier of the claim.")
  public String getClaimId() {
    return claimId;
  }

  public void setClaimId(String claimId) {
    this.claimId = claimId;
  }

  public Model2 claimTypeId(String claimTypeId) {
    this.claimTypeId = claimTypeId;
    return this;
  }

   /**
   * Identifier of the claim type.
   * @return claimTypeId
  **/
  @ApiModelProperty(value = "Identifier of the claim type.")
  public String getClaimTypeId() {
    return claimTypeId;
  }

  public void setClaimTypeId(String claimTypeId) {
    this.claimTypeId = claimTypeId;
  }

  public Model2 claimTypeName(String claimTypeName) {
    this.claimTypeName = claimTypeName;
    return this;
  }

   /**
   * Name of the claim type.
   * @return claimTypeName
  **/
  @ApiModelProperty(example = "car rental", value = "Name of the claim type.")
  public String getClaimTypeName() {
    return claimTypeName;
  }

  public void setClaimTypeName(String claimTypeName) {
    this.claimTypeName = claimTypeName;
  }

  public Model2 status(String status) {
    this.status = status;
    return this;
  }

   /**
   * Current status of the claim.
   * @return status
  **/
  @ApiModelProperty(example = "Pending", value = "Current status of the claim.")
  public String getStatus() {
    return status;
  }

  public void setStatus(String status) {
    this.status = status;
  }

  public Model2 createdAt(LocalDate createdAt) {
    this.createdAt = createdAt;
    return this;
  }

   /**
   * Date and time at which the claim was created. UTC datetime, RFC3339 format (YYYY-MM-DDTHH:mm:ssZ).
   * @return createdAt
  **/
  @ApiModelProperty(value = "Date and time at which the claim was created. UTC datetime, RFC3339 format (YYYY-MM-DDTHH:mm:ssZ).")
  public LocalDate getCreatedAt() {
    return createdAt;
  }

  public void setCreatedAt(LocalDate createdAt) {
    this.createdAt = createdAt;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    Model2 model2 = (Model2) o;
    return Objects.equals(this.claimId, model2.claimId) &&
        Objects.equals(this.claimTypeId, model2.claimTypeId) &&
        Objects.equals(this.claimTypeName, model2.claimTypeName) &&
        Objects.equals(this.status, model2.status) &&
        Objects.equals(this.createdAt, model2.createdAt);
  }

  @Override
  public int hashCode() {
    return Objects.hash(claimId, claimTypeId, claimTypeName, status, createdAt);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class Model2 {\n");
    
    sb.append("    claimId: ").append(toIndentedString(claimId)).append("\n");
    sb.append("    claimTypeId: ").append(toIndentedString(claimTypeId)).append("\n");
    sb.append("    claimTypeName: ").append(toIndentedString(claimTypeName)).append("\n");
    sb.append("    status: ").append(toIndentedString(status)).append("\n");
    sb.append("    createdAt: ").append(toIndentedString(createdAt)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

